/* Adjusted CSS for the <title> tag */
.title {
    color: rgba(255, 255, 255, 0.904); /* Change the text color to black */
    margin-top: 100px;
    margin-left: 100%;
    font-size: 1.8em;
}

/* Global styles */
body {
    font-family: 'Arial', sans-serif;
    margin: 0;
    padding: 0;
    background-image: url("https://tfw.wales/sites/default/files/2021-05/Car%20Parking.jpeg");
    background-color: #cccccc;
    background-size: cover;
    background-position: center;
    min-height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden; 
}

/* Form container */
.form-container {
    width: 50%;
    max-width: 400px; /* Adjusted max-width for responsiveness */
    padding: 20px;
    height: 500px; /* Adjusted height */
    background-color: rgba(0, 0, 0, 0.712);
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(206, 50, 50, 0.1); /* Soft shadow */
}

/* Header styles */
h1 {
    text-align: center; /* Center the heading */    
    color: #ffffff; /* White color */
    padding: 20px; /* Padding for the heading */
    border-radius: 10px; /* Rounded corners */
    margin-bottom: 20px; /* Spacing below the heading */
    font-size: 2em; /* Larger font size */
    margin-left: -10%; /* Adjusted margin-left to move the heading a little to the left */
}

/* CSS for the main heading */
.main-heading {
    text-align: center; /* Center the heading */    
    color: #ffffff; /* White color */
    padding: 20px; /* Padding for the heading */
    border-radius: 10px; /* Rounded corners */
    margin-bottom: 40px; /* Spacing below the heading */
    font-size: 2em; /* Larger font size */
    margin-left: -10%; /* Adjusted margin-left to move the heading a little to the left */
}

/* Input styles */
input[type="text"],
input[type="number"],
select { /* Include select element */
    width: 120%;
    padding: 10px;
    margin-bottom: 30px; /* Adjusted margin-bottom for input fields */
    border: none;
    border-radius: 30px;
    color: #000000;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #ffffff;
    line-height: 1.5px;
    font-size: 1em;
    margin-left: -20%;
}

/* Adjusted margin-bottom for select element */
select {
    margin-bottom: 30px;
}

/* Container for form content */
.form-content {
    border: 2px solid #000000; /* Black border */
    border-radius: 10px; /* Rounded corners */
    padding: 20px; /* Padding for the container */
}

/* Label styles */
label {
    display: block;
    margin-bottom: 20px;
    color: #ffffff; /* Black color */
}

/* CSS for the second page (user_details.html) */
.user-details-label {
    margin-bottom: 5px; /* Adjusted margin-bottom for label */
    color: #ffffff; /* White color */
}


/* Input styles */
/* Input styles */
input[type="text"],
input[type="number"] {
    width: 70%;
    padding: 10px;
    margin-bottom: 10px; /* Adjusted margin-bottom for input fields */
    border: none;
    border: 3px solid #ccc;
    border-radius: 30px;
    color: #000000e7;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #ffffff;
    line-height: 1.5px;
    font-size: 1em;
    margin-left: auto;
}

/* CSS for the second page (user_details.html) */
.enter-details-heading {
    text-align: center;
    color: #ffffff; /* Black color */
    margin-left: -10%; /* Adjusted margin-left to move the heading a little to the left */
}

/* Submit button styles */
input[type="submit"] {
    width: 100%;
    padding: 10px; /* Adjust padding */
    background-color: #25b12cf5; /* Change background color */
    color: white; /* Change text color */
    border: none;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
    font-size: 1em;
    margin-top: 20px; /* Adjust margin top */
}

input[type="submit"]:hover {
    background-color: #25b12c; /* Darker green color on hover */
}


/* Confirmation message styles */
.confirmation-message {
    text-align: center;
    color: #ffffff;
    padding: 20px;
    border-radius: 10px;
    background-color: rgba(0, 0, 0, 0.9);
    box-shadow: 0 0 20px rgba(0, 0, 0, 0.1);
    margin: 50px auto;
    max-width: 400px;

}

/* Confirmation message text styles */
.confirmation-message h2,
.confirmation-message p {
    color: #ffffff;
    margin: 10px 0;
    text-align: center;
}

/* Additional styles for car type blocks */
.car-type-blocks {
    display: flex;
    justify-content: center; /* Horizontally center the blocks */
    margin-top: 50px;

}

.car-type-block {
    width: 12%;
    background-color: rgba(255, 255, 255, 0.877);
    padding: 35px;
    border-radius: 40px;
    box-shadow: 0 0 10px rgba(55, 238, 183, 0.685);
    margin: 0 10px 10px; /* Adjust spacing between blocks */
}

.car-type-block h2 {
    text-align: center;
    margin-bottom: 20px;
    font-size: 1.8em;
}

#add-driver-btn {
    position: absolute;
    top: 550px; /* Adjust the top position as needed */
    left: 60%; /* Center the button horizontally */
    transform: translateX(-50%); /* Center the button horizontally */
    padding: 10px 20px;
    background-color: #25b12cf5;
    color: white;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

#add-driver-btn:hover {
    background-color: #00000094;
}

